// Alware Auto Flag
// Copyright 2001 Allen Green
// Tribes 2:	Cyfin
// webpage:		http://t2.alware.com

deactivatePackage(AutoFlag);

package AutoFlag{

function AutoFlagTaken(%msgType, %msgStr, %clientname, %teamname, %teamid, %taker)
{
	%PlayerName = getField( $pref::Player[$pref::Player::Current], 0);
	%count = PlayerListGroup.getCount();
	for ( %clientIndex = 0; %clientIndex < %count; %clientIndex++ )
	{
	   if(detag(%clientname) $= PlayerListGroup.getObject(%clientIndex).name)
	   {
	   %myID = PlayerListGroup.getObject(%clientIndex);
	   }
	}

	if(strstr(detag(%taker), %PlayerName)!=-1)
	{
		if(%myID.teamId==1)	$AutoFlag::Team = 2;
		if(%myID.teamId==2)	$AutoFlag::Team = 1;
		schedule(1000, 0, AutoFlagSayHave);
	}
}

	function AutoFlagSayHave()
	{
		if(objectiveHud.flagLocation[$AutoFlag::Team].getValue()$=("<just:center>" @ getField( $pref::Player[$pref::Player::Current], 0)))
		{
			
			commandToServer( 'CannedChat', 'ChatFlagGotIt', false );
			schedule(4000, 0, AutoFlagSayHelp);
		}
	}

	function AutoFlagSayHelp()
	{
		if(objectiveHud.flagLocation[$AutoFlag::Team].getValue()$=("<just:center>" @ getField( $pref::Player[$pref::Player::Current], 0)))
		{
			commandToServer( 'CannedChat', 'ChatHelp', false );
		}
	}

	function PlayGui::onWake(%this)
	{
		addMessageCallback('MsgCTFFlagTaken', AutoFlagTaken);
		parent::onWake(%this);
	}

};


function AutoFlagName()
	{
		return "Auto Flag";
	}

	function AutoFlagDesc()
	{

		%X = getWord(AlwareScriptDescScroll.extent, 0);
		//%Y = 0;//getWord(AlwareScriptDescScroll.extent, 1);
		%pos = mFloor( %X - 235) @ " 2";// @	mFloor( %Y - 205 );
		
	new GuiBitmapCtrl(AutoFlagImg) {
				profile = "GuiDefaultProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = %pos;
				extent = "200 186";
				minExtent = "8 8";
				visible = "1";
				helpTag = "0";
				bitmap = "Alware/Alware.png";
				wrap = "0";
			};	

	AlwareScriptDescContent.add(AutoFlagImg);


		return 
	"<JUST:LEFT><COLOR:FF0000>\n\n\n\n\n"
@	"<font:arial:32> Auto Flag\n"
@	"<COLOR:66FF66><font:Univers condensed:22><JUST:LEFT>\n\n\n\n"
@	"Version:  <COLOR:FFFFFF>v1<COLOR:66FF66>\n"
@	"Description:\n"
@	"<JUST:CENTER><COLOR:FFFF66><font:arial:15>       Took the enemy flag? Stop wasteing your time with messages. "
@	"Auto Flag does it all for you. Is says you have the flag, then three seconds later, asks for \"Help\".\n"
@	"<font:univers:32>"
@	"<COLOR:FFFFFF>A"
@	"<COLOR:EEEEEE>L"
@	"<COLOR:DDDDDD>W"
@	"<COLOR:CCCCCC>A"
@	"<COLOR:BBBBBB>R"
@	"<COLOR:AAAAAA>E\n"
//@	"<font:Univers:22><a:PLAYER\tCYFIN>Cyfin@SSF</a>\n"
@	"<font:arial:25><COLOR:DDFDFF><a:WWWLINK\tt2.alware.com>Alware Scripts Homepage\n"
@	"<COLOR:BDDDDF><font:arial Bold:15>( http://T2.alware.com )</a>\n";
	}

	function AutoFlagDescClean()
	{
		while(isObject(AutoFlagImg))
			AutoFlagImg.delete();
	}


activatePackage(AutoFlag);